#ifndef __Wumbo_Functions_h__
#define __Wumbo_Functions_h__
#include "Wumbo-Header.h"
#include "Wumbo-Types.h"
#include <string>
#if PLATFORM_APPLE
#import <Foundation/Foundation.h>
#endif
namespace Wumbo
{
#if !PLATFORM_APPLE
	typedef char NSString;
#endif
	extern vec2df rotatePointDEG(float pointX, float pointY, float originX, float originY, float angle);
	extern NSString* cstr2nsstring(const char *cstr);
	extern NSString* concat(NSString* one, NSString* two);
	extern NSString* NSStd(std::string a);
#if PLATFORM_APPLE
	extern NSString* BundleResource(NSString *name);
#endif
	extern NSString* BundleResource(char *name);
	extern NSString* BundleResource(std::string name);
	
#if PLATFORM_APPLE
	extern NSString* DocumentResource(NSString *name);
#endif
	extern NSString* DocumentResource(char *name);
	extern NSString* DocumentResource(std::string name);
	//extern char* BundleResourceCSTR2CSTR(char *name);
};
#endif